Name:           glyph-keeper
Version:        0.32
Release:        4%{?dist}
Summary:        Library for text rendering
Group:          System Environment/Libraries
License:        zlib
URL:            http://kd.lab.nig.ac.jp/glyph-keeper/
Source0:        http://kd.lab.nig.ac.jp/%{name}/files/%{name}-%{version}.zip
Patch0:         glyph-keeper-0.29.1-fixes.patch
Patch1:         glyph-keeper-0.32-so-compat.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  freetype-devel >= 2.1.10
BuildRequires:  SDL_gfx-devel allegro-devel

%description
Glyph Keeper is a library for text rendering. It is written in C and can be
used by C or C++ code. Glyph Keeper helps your program to load a font, render
character glyphs and write them to the target surface. Right now only Allegro
and SDL targets are supported, but there will be more in future. Glyph Keeper
uses FreeType as a font engine.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       allegro-devel SDL-devel
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -z .fix
%patch1 -p1 -z .compat
sed -i 's/\r//' docs/*.html *.txt


%build
make %{?_smp_mflags} -f Makefile.GNU.all TARGET=ALLEGRO FT_LIB=-lfreetype \
  OFLAGS="$RPM_OPT_FLAGS -fpic -I/usr/include/freetype2" lib
gcc -shared -o libglyph-alleg.so.0 -Wl,-soname,libglyph-alleg.so.0 \
  obj/glyph-alleg.o -lfreetype \
  `allegro-config --libs | sed 's/-lalleg_unsharable//'`

make %{?_smp_mflags} -f Makefile.GNU.all TARGET=SDL FT_LIB=-lfreetype \
  OFLAGS="$RPM_OPT_FLAGS -fpic -I/usr/include/freetype2" lib
gcc -shared -o libglyph-sdl.so.0 -Wl,-soname,libglyph-sdl.so.0 \
  obj/glyph-sdl.o -lfreetype -lSDL -lSDL_gfx


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
install -m 755 libglyph-*.so.0 $RPM_BUILD_ROOT%{_libdir}
ln -s libglyph-alleg.so.0 $RPM_BUILD_ROOT%{_libdir}/libglyph-alleg.so
ln -s libglyph-sdl.so.0 $RPM_BUILD_ROOT%{_libdir}/libglyph-sdl.so
install -m 644 include/glyph.h $RPM_BUILD_ROOT%{_includedir}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc license.txt changes.txt authors.txt docs/*
%{_libdir}/libglyph-*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/glyph.h
%{_libdir}/libglyph-*.so


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.32-4
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.32-3
- Rebuild for buildId
- Update license tag for new license tag guidelines

* Tue Jun 19 2007 Matthias Saou <http://freshrpms.net/> 0.32-2
- Rebuild against SDL_gfx 2.0.16.

* Fri Feb 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.32-1
- New upstream release 0.32

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.29.1-4
- Fix building with newer freetype
- Build .so files instead of a static lib

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.29.1-3
- FE6 Rebuild

* Mon Mar 13 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.29.1-2
-change license to "zlib License"
-add authors.txt and docs/* to %%doc

* Sat Mar 11 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.29.1-1
- Initial Fedora Extras package
